-- name: [PET] Mario Pets Pack
-- description: What the Yoshi Dog doin'

if not _G.wpets then return end

local E_POOCHY_WPET = smlua_model_util_get_id('PPoochy_geo')
local E_BYOISH_WPET = smlua_model_util_get_id('byoish_geo')
local E_THWOMPP_WPET = smlua_model_util_get_id('thwompp_geo')
local E_KBOO_WPET = smlua_model_util_get_id('kboo_geo')
local E_REZNOR_WPET = smlua_model_util_get_id('reznor_geo')

local ID_POOCHY = _G.wpets.add_pet({
	name = "Poochy", credit = "Models: Mr.Heck, Mod by: Garrulous64",
	description = "What the Yoshi Dog Doin' //// Custom Models by: Mr.Heck",
	modelID = E_POOCHY_WPET,
	scale = 1.0, yOffset = 0, flying = false
	
})
	
	local ID_BYOISH = _G.wpets.add_pet({
	name = "Baby Yoshi", credit = "Models: Mr.Heck, Mod by: Garrulous64",
	description = "Funny little fella' //// Custom Models by: Mr.Heck",
	modelID = E_BYOISH_WPET,
	scale = 1.0, yOffset = 0, flying = false
	
})
	
	local ID_THWOMPP = _G.wpets.add_pet({
	name = "Thwomp", credit = "Models: Mr.Heck, Mod by: Garrulous64",
	description = "ARGHHH' //// Custom Models by: Mr.Heck",
	modelID = E_THWOMPP_WPET,
	scale = 1.0, yOffset = 0, flying = true
	
})
	
	local ID_KBOO = _G.wpets.add_pet({
	name = "King Boo", credit = "Models: Mr.Heck, Mod by: Garrulous64",
	description = "Spooky Spirit //// Custom Models by: Mr.Heck",
	modelID = E_KBOO_WPET,
	scale = 1.0, yOffset = 0, flying = true
	
})
	
	local ID_REZNOR = _G.wpets.add_pet({
	name = "Reznor", credit = "Models: Mr.Heck, Mod by: Garrulous64",
	description = "Only been in 2 games lol //// Custom Models by: Mr.Heck",
	modelID = E_REZNOR_WPET,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_4leg(ID_POOCHY)
_G.wpets.set_pet_anims_4leg(ID_REZNOR)
_G.wpets.set_pet_anims_2leg(ID_BYOISH)
_G.wpets.set_pet_anims_head(ID_THWOMPP)
_G.wpets.set_pet_anims_wing(ID_KBOO)

_G.wpets.set_pet_sounds(ID_POOCHY, {
	spawn = 'pop.ogg',
	happy = 'message.ogg',
	vanish = 'pop.ogg',
	
})
	
_G.wpets.set_pet_sounds(ID_REZNOR, {
	spawn = 'pop.ogg',
	happy = 'message.ogg',
	vanish = 'pop.ogg',	
})
	
_G.wpets.set_pet_sounds(ID_BYOISH, {
	spawn = 'YoshiSpawn.ogg',
	happy = 'YoshiPet.ogg',
	vanish = 'YoshiDie.ogg',
})
	
_G.wpets.set_pet_sounds(ID_THWOMPP, {
	spawn = 'ThwompSpawn.ogg',
	happy = 'ThwompSpawn.ogg',
	vanish = 'ThwompSpawn.ogg',
})
	
_G.wpets.set_pet_sounds(ID_KBOO, {
	spawn = 'KBSpawn.ogg',
	happy = 'KBSpawn.ogg',
	vanish = 'KBDie.ogg',
	
})